> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a workflow

> Returns metadata for a specific workflow, including starting conditions and steps.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['automation']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v3/create-manage-workflows-v3.json GET /automation/v3/workflows/{workflowId}
openapi: 3.0.0
info:
  title: Workflows API v3
  version: 1.0.0
  description: >-
    Workflows API v3 - Auto-generated from MDX documentation. Use the Workflows
    API to create and manage workflows, enroll or remove contacts, and retrieve
    performance data.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /automation/v3/workflows/{workflowId}:
    get:
      summary: Get a workflow
      description: >-
        Returns metadata for a specific workflow, including starting conditions
        and steps.
      operationId: getWorkflow
      parameters:
        - name: workflowId
          in: path
          required: true
          schema:
            type: integer
          description: ID of the workflow
        - name: errors
          in: query
          schema:
            type: boolean
          description: Include validation errors and warnings
        - name: stats
          in: query
          schema:
            type: boolean
          description: Include workflow statistics
      responses:
        '200':
          description: Workflow metadata
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Workflow'
              examples:
                sample:
                  summary: Sample workflow details
                  value:
                    name: Testing 123
                    actions: []
                    id: 10900
                    type: DRIP_DELAY
                    enabled: false
                    portalId: 62515
                    internal: false
                    onlyExecOnBizDays: true
                    nurtureTimeRange:
                      enabled: false
                      startHour: 9
                      stopHour: 10
                    listening: false
                    insertedAt: 1348564640837
                    updatedAt: 1467737836223
                    allowContactToTriggerMultipleTimes: false
                    unenrollmentSetting:
                      type: NONE
                      excludedWorkflows: []
                    recurringSetting:
                      type: NONE
                    enrollOnCriteriaUpdate: false
                    onlyEnrollsManually: false
                    goalCriteria:
                      - - propertyObjectType: COMPANY
                          filterFamily: CompanyPropertyValue
                          withinTimeMode: PAST
                          property: active__c
                          value: 'Yes'
                          type: enumeration
                          operator: SET_ANY
                    reEnrollmentTriggerSets: []
                    suppressionListIds: []
                    lastUpdatedBy: test@hubspot.com
                    segmentCriteria: []
                    metaData:
                      triggeredByWorkflowIds: []
                      succeededListId: 183192
                      contactListIds:
                        active: 68737
                        completed: 301
                        succeeded: 183192
                        enrolled: 300
        default:
          $ref: '#/components/responses/Error'
components:
  schemas:
    Workflow:
      type: object
      description: Simplified workflow schema
      properties:
        id:
          type: integer
        name:
          type: string
        type:
          type: string
        enabled:
          type: boolean
    Error:
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        correlationId:
          type: string
  responses:
    Error:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'

````